Package org.eclipse.graphiti.ui.internal.parts.directedit

# Class ContentProposalProvider

java.lang.Object
org.eclipse.graphiti.ui.internal.parts.directedit.ContentProposalProvider

All Implemented Interfaces:
  `org.eclipse.jface.fieldassist.IContentProposalProvider`

public class ContentProposalProvider extends Object implements org.eclipse.jface.fieldassist.IContentProposalProvider

## Constructor Summary

Constructors
Constructor
Description
`ContentProposalProvider(IDirectEditHolder directEditHolder)`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.jface.fieldassist.IContentProposal[]`
`getProposals(String contents, int position)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContentProposalProvider

public ContentProposalProvider(IDirectEditHolder directEditHolder)

## Method Details

### getProposals

public org.eclipse.jface.fieldassist.IContentProposal[] getProposals(String contents, int position)

Specified by:
  `getProposals` in interface `org.eclipse.jface.fieldassist.IContentProposalProvider`